import Vue from 'vue'
import Vuex from 'vuex'
import axios from 'axios'

Vue.use(Vuex)

// $store.state.count
const state = {
   rasps: []
};

const mutations = {
    set_rasps(state, rp) {
        state.rasps = rp
    }
}

const actions = {
    refresh_rasps({commit}) {
        axios.get('/list')
        .then((resp) => {
            commit('set_rasps', resp.data)
        })
        .catch((err) => {
            console.error(err)
        })
    }
}

const getters = {
    
}

export default new Vuex.Store({
    state,
    mutations,
    getters,
    actions
});
